# sc::Orbital Class Reference

Inheritance diagram for sc::Orbital:

List of all members.

## Public Member Functions
| Orbital (const Ref< KeyVal > &)
| Orbital (const Ref< OneBodyWavefunction > &, int orbital)
virtual void | boundingbox (double valuemin, double valuemax, SCVector3 &p1, SCVector3 &p2)
## Protected Member Functions
virtual void | compute ()
| Recompute at least the results that have compute true and are not already computed.
## Protected Attributes
Ref< OneBodyWavefunction > | wfn_
int | orbital_

## Member Function Documentation

virtual void sc::Orbital::compute | ( |  | ) | `[protected, virtual]`

Recompute at least the results that have compute true and are not already computed.

This should only be called by Result's members.

Implements sc::Volume.

The documentation for this class was generated from the following file:

- orbital.h